
#define BONES_MIN(a,b) ((a<b) ? a : b)
#define BONES_MAX(a,b) ((a>b) ? a : b)
#define DIV_CEIL(a,b)  ((a+b-1)/b)
#define DIV_FLOOR(a,b) (a/b)

// Start of the saxpy_43 kernel
__kernel void kernel_saxpy_43_0(__global float* y, __global float* x, float a) {
  const int global_id = get_global_id(0);
  if (global_id < (4194304)) {
    
    // Calculate the global ID(s) based on the thread id
    const int global_id_0 = global_id;
    
    // Start the computation
    float register_y = y[global_id_0];
    register_y = a * x[global_id_0] + register_y;
    y[global_id_0] = register_y;
  }
}
